Package net.shibboleth.idp.authn.context

# Class LockoutManagerContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.authn.context.LockoutManagerContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class LockoutManagerContext extends BaseContext
A context that holds information about a management operation on an `AccountLockoutManager`.

Since:
  3.4.0
Parent:
  `ProfileRequestContext`
Added:
  After the initiation of an administrative operation against a lockout manager.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`key`
Account lockout key.

## Constructor Summary

Constructors
Constructor
Description
`LockoutManagerContext()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
Get the account lockout key to check or modify.
`LockoutManagerContext`
`setKey(String k)`
Set the account lockout key to check or modify.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### key

@Nullable private String key
Account lockout key.

## Constructor Details

### LockoutManagerContext

public LockoutManagerContext()

## Method Details

### getKey

@Nullable public String getKey()
Get the account lockout key to check or modify.

Returns:
  account lockout key

### setKey

@Nonnull public LockoutManagerContext setKey(@Nullable String k)
Set the account lockout key to check or modify.

Parameters:
  `k` - account lockout key
Returns:
  this context